<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<div>
    <br>
	<form method="post" action="/payment" >
	<table class="netams_table" >
		<tr>
		<th class="left" width="100px">${cust.prop['account_number']}</th>
		<th>${cust.prop['account_currency']}</th>
		<th>${cust.prop['account_balance']}</th>
		<th class="right" >${cust.prop['account_actions']}</th>
		</tr>
		<c:set var="row" value="0" />
		<c:forEach var="obj" items="${cust.elements}">
			<c:set var="row" value="${row + 1}" />
			<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >
				<td>
					${cust.extids ? obj.ext_id : obj.id}&nbsp;
				</td>
				<td>
					${obj.hr_currency}
				</td>
				<td class="al_right">
					<fmt:formatNumber value="${obj.balance}" maxFractionDigits="2" minFractionDigits="2" />
				</td>
				<td>
					<input class="btn_pay" type="button" title="${cust.prop['account_pay']}" 
						onClick="this.form.action='/payments';this.form.accountId.value = ${obj.id};this.form.submit();" />
					&nbsp;&nbsp;&nbsp;
					<input class="btn_info" type="button" title="${cust.prop['account_info']}" 
						onClick="this.form.action='/printReport';this.form.reportId.value='AccountReport';this.form.accountId.value=${obj.id};this.form.submit();"/>
						&nbsp;
				</td>
			</tr>
		</c:forEach>
	</table>
	<input type="hidden" name="accountId" />
	<input type="hidden" name="reportId" />
	</form>
</div>
