<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource"  %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<div >
	<c:set var="inv" scope="page" value="${cust.elements[0]}" />

<script type="text/javascript">
function printInvoice(passForm, kind, lang) {
		var url = "/webadmin/report.print?format=html"// + passForm.invFormat.value 
		 	 + "&reportId=" + kind
			 + "&contractId=" + passForm.contract.value
			 + "&amount=" + passForm.invAmount.value
			 + "&number=" + passForm.invNumber.value
			 + "&date=" + passForm.invDate.value
			 + "&basis=" + passForm.invDescr.value
			 + "&locale=" + lang;
		window.open(url, "_blank", "resizable=1,scrollbars=1,location=no,menubar=1");
}
</script>
	<form method="post" >
		<table class="tbl_params">
			<tr>
				<td width="150px" ><b>${cust.prop['contract']}:</b></td>
				<td class="fill_h">${cust.contract.name}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_account']}:</b></td>
				<td>${param.accountId}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_number']}:</b></td>
				<td><input type="text" name="invNumber" value="${inv.id}" readonly="readonly" /></td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_date']}:</b></td>
				<td><input type="date" name="invDate" value="<fmt:formatDate value="${inv.date}" dateStyle="SHORT"/>" readonly="readonly" /></td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_sum']}:</b></td>
				<td><input type="number" name="invAmount" value="${inv.amount}" readonly="readonly" /></td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_descr']}:</b></td>
				<td><input type="text" name="invDescr" value="${inv.descr}" readonly="readonly"/></td>
			</tr>
			<!--tr>
				<td><b>${cust.prop['report_format']}:</b></td>
				<td><select size="1" name="invFormat" >
					<option value="html" >${cust.prop['report_format_html']}</option>
					<option value="pdf" >${cust.prop['report_format_pdf']}</option>
					<option value="ods" >${cust.prop['report_format_ods']}</option>
					<option value="odt" >${cust.prop['report_format_odt']}</option>
					</select>
				</td>
			</tr -->
		</table>
		<input type="button" onClick="printInvoice(this.form, 'ReceiptReport', '${cust.lang}')" value="${cust.prop['payment_receipt']}" />
		<input type="button" onClick="printInvoice(this.form, 'InvoiceReport', '${cust.lang}')" value="${cust.prop['payment_invoice']}" />
		<input type="button" onClick='location.href="/payments"' value="${cust.prop['back']}" />
		<input type="hidden" name="kind" value="0" /> 
		<input type="hidden" name="contract" value="${cust.contract.id}" /> 
		<input type="hidden" name="accountId" value="${inv.accountId}" /> 
		</form>
</div>
