<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 

<div>
    <c:set var="report" value="${cust.elements['0']}" />
	
	<div>
	<script type="text/javascript">
	function changePeriod(passForm) {
		if ('CUSTOM' == passForm.period.value) {
			passForm.startTime.style.display="inline";
			passForm.endTime.style.display="inline";
		} else {
			passForm.startTime.style.display="none";
			passForm.endTime.style.display="none";
		}
	}
	
	function printReport(passForm, reportClass, contractId, lang) {
		var url = "/webadmin/report.print?format=html" 
		 	 + "&reportId=" + reportClass
			 + "&contractId=" + contractId;
			if(passForm.period != undefined) {
				url += "&period=" + passForm.period.value;
			} 
			if ("CUSTOM" == passForm.period.value) {
				if(passForm.startTime != undefined) {
					url += "&startDate=" + passForm.startTime.value
					+ "&endDate=" + passForm.endTime.value;
				}
			}
			if (passForm.serviceId != undefined) {
			 url += "&serviceId=" + passForm.serviceId.value;
			}
			if (passForm.acctunitId != undefined) {
			 url += "&acctunitId=" + passForm.acctunitId.value
			}
			if (passForm.accountId != undefined) {
			 url += "&accountId=" + passForm.accountId.value
			}
			if (passForm.tariffId != undefined) {
			 url += "&tariffId=" + passForm.tariffId.value;
			}
			url += "&locale=" + lang;
		window.open(url, "_blank", "resizable=1,scrollbars=1,location=no,menubar=1");
	}


	
	</script>

  		<form method="post" name="reportForm" >
		<table class="tbl_params">
			<tr>
				<td width="160px" ><b>${cust.prop['report_name']}:</b></td>
				<td>${report.name}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['contract']}:</b></td>
				<td>${cust.contract.name}</td>
			</tr>
			<tr>
				<td nowrap><b>${cust.prop['report_period']}: </b></td>
				<td style="text-align:left">
				 <select size="1" name="period" onchange="changePeriod(this.form)">
				<option value="HOUR" selected>${cust.prop['report_hour']}</option>
				 <option value="DAY" >${cust.prop['report_day']}</option>
				 <option value="WEEK" >${cust.prop['report_week']}</option>
				 <option value="MONTH" >${cust.prop['report_month']}</option>
				 <option value="YEAR" >${cust.prop['report_year']}</option>
				 <option value="LASTHOUR" selected>${cust.prop['report_last_hour']}</option>
				 <option value="LASTDAY" >${cust.prop['report_last_day']}</option>
				 <option value="LASTWEEK" >${cust.prop['report_last_week']}</option>
				 <option value="LASTMONTH" >${cust.prop['report_last_month']}</option>
				 <option value="LASTYEAR" >${cust.prop['report_last_year']}</option>
				 <option value="CUSTOM" >${cust.prop['report_custom_period']}</option>
				 </select>
				 &nbsp;&nbsp;
		<script>		 
				 	$(function() {
				 		$.datepicker.setDefaults( $.datepicker.regional[ "${cust.lang}" ] );
		var dates = $( "#startTime, #endTime" ).datepicker({
			defaultDate: "+1w",
			changeMonth: true,
			dateFormat: "dd.mm.yy",
			onSelect: function( selectedDate ) {
				var option = this.id == "startTime" ? "minDate" : "maxDate",
					instance = $( this ).data( "datepicker" ),
					date = $.datepicker.parseDate(
						instance.settings.dateFormat ||
						$.datepicker._defaults.dateFormat,
						selectedDate, instance.settings );
				dates.not( this ).datepicker( "option", option, date);
			}
		});
	});
		</script>	
			<span>	 
				 <input style="display: none;width: 100px;" type="text" name="startTime" id="startTime" value="${report.params.startDate}" 
						title="${cust.prop['report_startDate']}" />
						&nbsp;
						<input style="display: none;width: 100px;" type="text" name="endTime" id="endTime" value="${report.params.endDate}" 
						  title="${cust.prop['report_endDate']}" />
			</span>			  
				</td>
			</tr>
			<c:if test="${report.params['serviceId'] != null}">
			<c:set var="objId" value="${report.params['serviceId']}" />
			<tr>
			<td><b>${cust.prop['report_service']}:</b></td>
			<td>
			<select name="serviceId" size="1" >
			<option value="0" ${objId == '0' ? 'selected="selected"' : ''} >${cust.prop['report_byall']}</option>
			<c:forEach var="obj" items="${report.values['serviceId']}" >		
				<option value="${obj.id}" ${objId == obj.id ? 'selected="selected"' : ''}>
					${obj.hr}
				</option>
			</c:forEach>
			</select>
			</td>
			</tr>
			</c:if>
			
			<c:if test="${report.params['acctunitId'] != null}">
			<c:set var="objId" value="${report.params['acctunitId']}" />
			<tr>
			<td><b>${cust.prop['report_acctunit']}:</b></td>
			<td>
			<select name="acctunitId" size="1" >
			<option value="0" ${objId == '0' ? 'selected="selected"' : ''} >${cust.prop['report_byall']}</option>
			<c:forEach var="obj" items="${report.values['acctunitId']}" >		
				<option value="${obj.id}" ${objId == obj.id ? 'selected="selected"' : ''}>
					${obj.hr}
				</option>
			</c:forEach>
			</select>
			</td>
			</tr>
			</c:if>

			<c:if test="${report.params['accountId'] != null}">
			<c:set var="objId" value="${report.params['accountId']}" />
			<tr>
			<td><b>${cust.prop['report_account']}:</b></td>
			<td>
			<select name="accountId" size="1" >
			<c:forEach var="obj" items="${report.values['accountId']}" >		
				<option value="${obj.id}" ${objId == obj.id ? 'selected="selected"' : ''}>
					${obj.hr}
				</option>
			</c:forEach>
			</select>
			</td>
			</tr>
			</c:if>

			<c:if test="${report.params['tariffId'] != null}">
			<c:set var="objId" value="${report.params['tariffId']}" />
			<tr>
			<td><b>${cust.prop['tariff']}:</b></td>
			<td>
			<select name="tariffId" size="1" >
			<option value="0" ${objId == '0' ? 'selected="selected"' : ''} >${cust.prop['report_byall']}</option>
			<c:forEach var="obj" items="${report.values['tariffId']}" >		
				<option value="${obj.id}" ${objId == obj.id ? 'selected="selected"' : ''}>
					${obj.hr}
				</option>
			</c:forEach>
			</select>
			</td>
			</tr>
			</c:if>
			
		</table>
		<br><br>
		<input type="button" value="${cust.prop['report_form']}" onClick='printReport(this.form, "${report.clazz}", "${cust.contract.id}", "${cust.lang}")'/>
		<input type="button" name="back" value="${cust.prop['back']}" onClick='history.back()'  />
		<input type="hidden" name="reportId" />
		</form>
	</div>
</div>
