<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page
	import="com.netams.netams4.wa.server.customer.CustomerResource,com.netams.netams4.wa.client.IMessage"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<%
	CustomerResource cust = (CustomerResource) session
			.getAttribute("cust");
%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Customer Service</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<base href="${cust.baseUrl}" />
<link href="resources/style.css" media="all" type="text/css"
	rel="stylesheet" />
<link href="/resources/jquery-ui.css" rel="stylesheet" type="text/css" />
<script src="/resources/jquery.min.js"></script>
<script src="/resources/jquery-ui.min.js"></script>
<script src="/resources/jquery.ui.datepicker-ru.js"></script>
<script src="/resources/jquery.ui.datepicker-de.js"></script>
</head>
<body>
	<div id="main">
		<!--HEADER-->
		<div class="header">
			<div class="header_box">
				<div class="logo">
					<a href="http://www.netams.com"><img alt=""
						src="resources/logo.gif" /></a>
				</div>

				<div class="header_right">
					<table class="header_table">
						<tr>
							<td>
								<form action="/${cust.activePage}" method="post"
									name="form_lang">
									<div>
										<input name="action" value="setlang" type="hidden" /> <input
											name="lang" value="" type="hidden" />
									</div>
								</form> <script type="text/javascript">
									function setLang(form, lang) {
										form.lang.value = lang;
										form.submit();
										return false;
									}
								</script>
								<div class="header_langvich">
									<ul class="langvich">
										<li><a href="/${cust.activePage}"
											onclick="setLang(document.forms['form_lang'], 'en');"> <img
												alt="" src="/images/icon_flag_1.jpg" />eng
										</a></li>
										<li><a href="/${cust.activePage}"
											onclick="setLang(document.forms['form_lang'], 'ru');"> <img
												alt="" src="/images/icon_flag_2.jpg" />рус
										</a></li>
									</ul>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<div class="header_login">
									<c:choose>
										<c:when test="${!empty cust.userName}">
											<div class="login_box">
												<div> 
													${cust.prop['user_name']}: ${cust.userName} 
													<div class="login">
													<a href="/account">${cust.prop['account']}</a>
													&nbsp;&nbsp; 
													<a href="/logout">${cust.prop['logout']}</a>
													</div>
												</div>
											</div>
										</c:when>
										<c:otherwise>
											<div class="login_box">

												<div>
													<a href="/login">${cust.prop['login']}</a>
												</div>
											</div>

										</c:otherwise>
									</c:choose>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<div class="header_menu">
									<ul class="menu">
										<c:forEach var="url" items="${cust.urls}">
											<li ${cust.activePage==url ? 'class="active"' : ''}><a
												href="/${url}"><span class="left">
														${cust.prop[url]}</span><span class="right"></span></a></li>
										</c:forEach>
									</ul>
								</div>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>


		<div class="content">
			<div class="content_box">
				<div class="primary">
					<div class="primary_top">
						<h2>${cust.title}</h2>
					</div>
					<div class="primary_center">

						<c:if test="${!empty cust.error}">
							<div class="popup_msg popup_err">
								<b>${cust.prop['error']}</b>&nbsp;&nbsp;${cust.error}
							</div>
						</c:if>

						<jsp:include page="${cust.url}" />
					</div>
					<div class="primary_bot"></div>
				</div>
			</div>
		</div>

		<div class="footer">
			<p>
				Copyright © <a href="http://www.netams.com/">Netams LLC</a>
				${cust.prop["copyright"]}
			</p>
		</div>

	</div>



</body>
</html>