<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="uf" uri="/netams_functions" %>
<div>
    <br>
	<table class="netams_table">
		<tr>
			<th class="left"  width="50px" >ID</th>
			<th>${cust.prop['acctunit_type']}</th>
			<th>${cust.prop['acctunit_params']}</th>
			<th class="right" >${cust.prop['acctunit_created']}</th>
		</tr>
		<c:set var="row" value="0" />
		<c:forEach var="obj" items="${cust.elements}">
			<c:set var="row" value="${row + 1}" />
			<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >
				<td>${obj.id}</td>
				<td>${obj.unittype}</td>
				<td>
					<c:choose>
					<c:when test="${'IP' == obj.unittype}" >
						IP: ${uf:longToIp(obj.ip)} 
						<c:if test="${obj.maskbits != 32}" >
							/ ${obj.maskbits}
						</c:if>
					</c:when>
					<c:otherwise>
						${obj.property}
					</c:otherwise>
					</c:choose>
					&nbsp
				</td>
				<td>
					${uf:formatDate(obj.when_created)}   
				</td>
			</tr>
		</c:forEach>
	</table>
</div>
