<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource,com.netams.netams4.wa.client.IMessage" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
 
<%
    CustomerResource cust = (CustomerResource)session.getAttribute("cust");
 %>
     
 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
		<title>Customer Service</title>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			<base href="${cust.baseUrl}"/>
			<link href="resources/style.css" media="all" type="text/css" rel="stylesheet"/>
			<link href="/resources/jquery-ui.css" rel="stylesheet" type="text/css"/>
  			<script src="/resources/jquery.min.js"></script>
  			<script src="/resources/jquery-ui.min.js"></script>
  			<script src="/resources/jquery.ui.datepicker-ru.js"></script>				
  			<script src="/resources/jquery.ui.datepicker-de.js"></script>				
	</head>
	<body>
		<div id="main"> 
        <!--HEADER-->
			<div class="header">
				<div class="header_box">
					<div class="header_top">
						<strong class="logo"><a href="http://www.netams.com"><img alt="" src="resources/logo.gif"/></a></strong>
						<ul class="menu">
						<c:forEach var="url" items="${cust.urls}">
							<li ${cust.activePage==url ? 'class="active"' : ''}><a href="/${url}"><span class="left">
									${cust.prop[url]}</span><span class="right"></span></a></li>
						</c:forEach> 
						</ul>
					</div>

				<div class="header_bot">
					<c:choose>
					<c:when test="${empty cust.userName}" >
					<form action="/${cust.activePage}" method="post">
						<div class="form_vxod" id="login_form">
						<input type="hidden" name="action" value="login"/>

							<p><b>${cust.prop['username']}</b><span class="tx"><input type="text" value="" name="username"/></span></p>
							<p><b>${cust.prop['password']}</b><span class="tx"><input type="password" value="" name="password"/></span></p>
						
							<div class="form_vxod_box">
								<ul>
									<li><a href="/register">${cust.prop['register']}</a></li>
									<li><a href="/recovery">${cust.prop['forgot_password']}</a></li>
								</ul>
								<input class="btn" type="submit" value="${cust.prop['login']}"/>
							</div>
						</div>
					</form>
					</c:when>
					<c:otherwise>
					<div class="login_box">
					
						<span class="name">${cust.prop['user_info']}</span>
						<ul class="info_acc">
							<li><p class="left">${cust.prop['user_name']}</p><p class="right"> ${cust.userName} </p></li>
						</ul>
						<br/>
						<form action="/${cust.activePage}" method="post">
							<div>
							<input type="hidden" name="action" value="logout"/>
							<input class="logout" type="submit" value="${cust.prop['logout']}"/>
							</div>
						</form>
					</div>
					</c:otherwise>
					</c:choose>
					
					<form action="/${cust.activePage}" method="post" name="form_lang">
						<div>
						<input name="action" value="setlang" type="hidden"/>
						<input name="lang" value="" type="hidden"/>
						</div>
					</form>
			<script type="text/javascript">
        		function setLang(form, lang)
        		{
              	  	form.lang.value = lang;
                  	form.submit();
                	return false;
        		}
			</script>	
					<div class="support">
						<ul class="langvich">
							<li>
								<a href="/${cust.activePage}" onclick="setLang(document.forms['form_lang'], 'en');">
									<img alt="" src="/images/icon_flag_1.jpg"/>eng
								</a>
							</li>
							<li>
								<a href="/${cust.activePage}" onclick="setLang(document.forms['form_lang'], 'ru');">
									<img alt="" src="/images/icon_flag_2.jpg"/>рус
								</a>
							</li>
						</ul>
						
					</div>
				</div>
			</div>
		</div>
		<!--CONTENT-->
		<div class="content">
			<div class="content_box">
				<div class="primary">
					<div class="primary_top">
						<h2>${cust.title}</h2>
					</div>
					<div class="primary_center">
					
					<c:if test="${!empty cust.error}" >
						<div class="popup_msg popup_err"><b>${cust.prop['error']}</b>&nbsp;&nbsp;${cust.error}</div>
					</c:if>
					
					<c:if test="${!empty cust.userName || cust.activePage == 'newdata' || cust.activePage == 'recovery' || param.action == 'recovery' || cust.activePage == 'register' || param.action == 'register'}" >
						<jsp:include page="${cust.url}" />
					</c:if>				
					</div>
					<div class="primary_bot"></div>
				</div>
			</div>
		</div>
                <!--FOOTER-->
                <div class="footer">
                        <p>Copyright © <a href="http://www.netams.com/">Netams LLC</a> ${cust.prop["copyright"]}</p>
                </div>
                
</div>



</body></html>