<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource"  %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
 
<script type="text/javascript">

function showPass(passForm) {
	var show = passForm.showpass.checked;
	if (show) {
		if(passForm.oldpass) {
			changeInputType(passForm.oldpass, 'text');
		}
		changeInputType(passForm.newpass, 'text');
		changeInputType(passForm.newpass2, 'text');
	} else {
		if(passForm.oldpass) {
			changeInputType(passForm.oldpass, 'password');
		}
		changeInputType(passForm.newpass, 'password');
		changeInputType(passForm.newpass2, 'password');
	}
}

function changeInputType(oldObject, oType) {
		var newObject = document.createElement('input');
		  newObject.type = oType;
		  if(oldObject.size) newObject.size = oldObject.size;
		  if(oldObject.value) newObject.value = oldObject.value;
		  if(oldObject.name) newObject.name = oldObject.name;
		  if(oldObject.id) newObject.id = oldObject.id;
		  if(oldObject.className) newObject.className = oldObject.className;
		  oldObject.parentNode.replaceChild(newObject,oldObject);
		  return newObject;		
}

var r;
var digit = new Array("0","1","2","3","4","5","6","7","8","9");
var halp = new Array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","Y","Z");
var lalp = new Array("a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","y","z");
pasw = new String();
function genPass(passForm)
{
   pasw = "";
   
   for (var i= 0; i<8; i++)
   {
      r = Math.random();
      if ( (r - 1.0/3.0) < 0.0)
      {
         r = Math.floor(Math.random() * 9);
         pasw += digit[r];
      }
      else if ( (r - 2.0/3.0) < 0.0)
      {
         r = Math.floor(Math.random() * 24);
         pasw += halp[r];
      }
      else
      {
         r = Math.floor(Math.random() * 24);
         pasw += lalp[r];
      }
   }
   passForm.newpass.value = pasw;
   passForm.newpass2.value = pasw;
   passForm.showpass.checked = true;
   showPass(passForm);
}

</script>	

<div>
	<c:choose>
    <c:when test="${param.change && empty cust.error}" >
		<p><h2>${cust.prop['password_success']}</h2>
		<br>
		<p><a href="/data" >${cust.prop['password_back']}</a><p>				    
	</c:when>   
    <c:otherwise>
	<form method="post" action="/password" >
		<div class="form_pass">
	    <c:set var="pass_type" value="password" />
	    <c:if test="${param.showpass}" >
	    	<c:set var="pass_type" value="text" />
	    </c:if>
		<table class="tbl_params">
			<c:if test="${!empty cust.userName}" >
			<tr>
				<td width="150px" ><b>${cust.prop['password_old']}:</b></td>
				<td><input maxlength="16" type="${pass_type}" name="oldpass"  /></td>
			</tr>
			</c:if>
			<tr>
				<td width="150px"><b>${cust.prop['password_new']}:</b></td>
				<td><input maxlength="16" type="${pass_type}" name="newpass"  /></td>
			</tr>
			<tr>
				<td><b>${cust.prop['password_repeate']}:</b></td>
				<td><input maxlength="16" type="${pass_type}" name="newpass2" /></td>
			</tr>
			<tr>
				<td><input class="btn" type="button" onClick="genPass(this.form)" value="${cust.prop['password_gen']}" /></td>
				<td><input type="checkbox" name="showpass" value="show" onClick="showPass(this.form)" />${cust.prop['password_show']}</td>
			</tr>
			<tr>
				<td colspan="2" ><input class="btn" type="submit" value="${cust.prop['password_apply']}" /></td>
			</tr>
			<tr>
				<td colspan="2" ><input class="btn" type="button" onClick='history.back()' value="${cust.prop['back']}" /></td>
			</tr>
			
		</table>
		<input type="hidden" name="change" value="true" />
		<c:if test="${empty cust.userName}" >
			<input type="hidden" name="recovery" value="true" />
		</c:if>
		</div>
	</form>
	</c:otherwise>
	</c:choose>
</div>
