<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<div>
	<script type="text/javascript">
		function paymentForm(passForm, methodid) {
			if (passForm.invAmount.value == null
					|| passForm.invAmount.value == 0) {
				return alert(passForm.err_message.value);
			} else {
				passForm.method.value = methodid;
				passForm.submit();
				return true;
			}
		}
	</script>
	<form method="post" action="/payment">
		<table class="tbl_params">
			<tr>
				<td width="150px"><b>${cust.prop['contract']}:</b></td>
				<td class="fill_h">${cust.contract.name}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_account']}:</b></td>
				<td>${param.accountId}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_sum']}:</b></td>
				<td><input type="text" name="invAmount" required="required" /></td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_descr']}:</b></td>
				<td><input type="text" name="invDescr"
					value="${cust.prop['payment_default_descr']}" required="required" /></td>
			</tr>
		</table>

		<br>
		<br>
		<p>
			<b>${cust.prop['payment_method']}:</b>
		</p>

		<table class="tbl_params">
			<c:forEach var="handler" items="${cust.elements}">
				<tr>
					<td><c:set var="methodName"
							value="payment_${handler.methodName}" />
						<p>
							<input class="btn_${handler.methodName}" type="button"
								value="${cust.prop[methodName]}"
								onClick='paymentForm(this.form,"${handler.methodName}")' />
						</p></td>
				</tr>
			</c:forEach>
		</table>
		<br>
		<br> <input type="button" value="${cust.prop['back']}"
			onClick="this.form.action='/payments'; this.form.submit();" /> 
			<input type="hidden" name="accountId" value="${param.accountId}" /> 
			<input type="hidden" name="err_message"	value="${cust.prop['payment_not_amount']}" /> 
			<input type="hidden" name="method" />

	</form>
</div>