<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource"  %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<div>
	
	    <c:set var="account" value="${cust.accounts[param.accountId]}" />
	
		<table class="tbl_params">
			<tr>
				<td width="150px" ><b>${cust.prop['contract']}:</b></td>
				<td>${cust.contract.name}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['payment_account']}:</b></td>
				<td>${account.id}</td>
			</tr>
		</table>
		
		<form action="/payments" method="post" name="form_del">
				<div>
						<input name="action" value="deleteInvoice" type="hidden"/>
						<input name="invoiceId" value="" type="hidden"/>
						<input type="hidden" name="accountId" value="${param.accountId}" />
				</div>
		</form>
		<script type="text/javascript">
        		function deleteInvoice(form, id)
        		{
              	  	form.invoiceId.value = id;
                  	form.submit();
                	return false;
        		}
		</script>
		<form action="/payment" method="post" name="form_new">
				<div>
						<input name="action" value="deleteInvoice" type="hidden"/>
						<input name="invoiceId" value="" type="hidden"/>
						<input type="hidden" name="accountId" value="${param.accountId}" />
				</div>
		</form>
		<script type="text/javascript">
        		function newPayment(form, id)
        		{
              	  	form.invoiceId.value = id;
                  	form.submit();
                	return false;
        		}
		</script>				
						
		<form method="post" >
		
		<table class="netams_table" >
			<tr>
				<th class="left" width="50px" >${cust.prop['payment_number']}</th>
				<th>${cust.prop['payment_date']}</th>
				<th>${cust.prop['payment_method']}</th>
				<th>${cust.prop['payment_sum']}</th>
				<th>${cust.prop['payment_state']}</th>
				<th class="right" >&nbsp;</th>
			</tr>
			<c:set var="row" value="0" />
			<c:forEach var="invoice" items="${cust.elements}" end="25">
				<c:set var="row" value="${row + 1}" />
				<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >
					<td>${invoice.id}</td>
					<td>
						<fmt:formatDate value="${invoice.date}" dateStyle="SHORT"/>
					</td>
					<td>${cust.prop[invoice.methodName]}</td>
					<td class="al_right">
						<fmt:formatNumber value="${invoice.amount}" maxFractionDigits="2" minFractionDigits="2" />
					</td>
					<td>
					<c:choose>
					<c:when test="${!empty invoice.payDate}" >
						${cust.prop['payment_paid']}&nbsp; 
						<fmt:formatDate value="${invoice.payDate}" dateStyle="SHORT"/>
					</c:when>
					<c:otherwise>
						<c:set var="key" value="payment_status_${invoice.status}" />
						${cust.prop[key]}
					</c:otherwise>
					</c:choose>
					</td>
					<td>
					<c:if test="${invoice.payDate == null}" >
						<input type="button" class="btn_remove" title="${cust.prop['delete']}" 
								onClick="deleteInvoice(document.forms['form_del'],'${invoice.id}')"/>
					</c:if>
					</td>
				</tr>
			</c:forEach>
		
	</table>
		<br><br>
		<input width="100px" type="button" value="${cust.prop['payment_new']}" onClick="newPayment(document.forms['form_new'],'${invoice.id}')" />&nbsp;&nbsp;
		<input width="100px" type="button" value="${cust.prop['back']}" onClick='this.form.action="/accounts"; this.form.submit();' />
		<input type="hidden" name="accountId" value="${param.accountId}" /> 
		<input type="hidden" name="invoiceId" /> 
	</form>

</div>