<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource,com.netams.netams4.wa.client.IMessage"  %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<div>
	
	<script type="text/javascript">
	function printTraffic(passForm, contractId, serviceId, lang) {
		var url = "/webadmin/report.print?format=html" 
		 	 + "&reportId=TrafficReport"
			 + "&contractId=" + contractId
			 + "&serviceId=" + serviceId;
		url += "&locale=" + lang;
		window.open(url, "_blank", "resizable=1,scrollbars=1,location=no,menubar=1");
	}
	</script>
	
	<c:set var="srv" scope="page" value="${cust.elements[0]}" />
	
 		<form method="post" action="/detailService" >
		<table class="tbl_params">
			<tr>
				<td><b>${cust.prop['service_number']}:</b></td>
				<td>${srv.id}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_created']}:</b></td>
				<td>${srv.whenCreated}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_status']}:</b></td>
				<td>${srv.status}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_block']}:</b></td>
				<td>
		<script>		 
				 	$(function() {
				 		$.datepicker.setDefaults( $.datepicker.regional[ "${cust.lang}" ] );
		var dates = $( "#blockTime" ).datepicker({
			defaultDate: "+1w",
			changeMonth: true,
			dateFormat: "dd.mm.yy",
			onSelect: function( selectedDate ) {
				var option = instance = $( this ).data( "datepicker" ),
					date = $.datepicker.parseDate(
						instance.settings.dateFormat ||
						$.datepicker._defaults.dateFormat,
						selectedDate, instance.settings );
				dates.not( this ).datepicker( "option", option, date);
			}
		});
	});
		</script>	
				<input type="text" name="blockTime" id="blockTime" 
					value="${srv.blockedByUser}" />
				<input type="image" title="${cust.prop['service_del_block']}" 
				    src="/images/remove.gif" onclick="this.form.blockTime.value=''"/>		
				</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_acting']}:</b></td>
				<td>${cust.prop['from']} ${srv.validFrom} ${cust.prop['until']} ${srv.validUntil}</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_acctunits']}:</b></td>
				<td>
				<table>
				<c:forEach var="acct" begin="1" items="$cust.elements" >
					<tr>
						<td>
						<a href="/acctunits?id=${acct.id}" >${acct.hr}</a>
						</td>
					</tr>
				</c:forEach>
				</table>
				</td>
			</tr>
			<tr>
				<td><b>${cust.prop['service_account']}:</b></td>
				<td><a href="/accounts?id=${srv.accountId}" >${srv.account}</a></td>
			</tr>
		</table>
		<br><br>
		<input type="hidden" name="serviceId" value="${srv.id}" />
		<input type="hidden" name="reportId"  />
		<input type="submit" value="${cust.prop['apply']}" />
		<input type="button" onClick="this.form.action='/printReport';this.form.reportId.value='TrafficReport';this.form.submit();" 
			value="${cust.prop['service_report']}" />
		<input type="button" name="back" value="${cust.prop['back']}" onClick='location.href="/services"' />
		
		</form>
</div>

