<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<div>
   <br>
	<form method="post" action="/detailService" >
	<table class="netams_table" >
		<tr>
			<th class="left" >${cust.prop['service_number']}</th>
			<th>${cust.prop['service_tariff']}</th>
			<th>${cust.prop['service_balance']}</th>
			<th class="right">${cust.prop['service_detail']}</th>
		</tr>
		<c:set var="row" value="0" />
		<c:forEach var="obj" items="${cust.elements}">
			<c:set var="row" value="${row + 1}" />
			<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >

			<c:set var="acc" value="${cust.accounts[obj.account_id]}" />
			<c:set var="tariff" value="${cust.tariffs[obj.tariff_id]}" />

			<td>${obj.id}</td>
			<td class="al_left" >${obj.hr_tariff}
			<c:if test="${!empty tariff.description}" >
				<br><small>${tariff.description}</small>
			</c:if>
			</td>
			<td  class="al_right" >
				<fmt:formatNumber value="${acc.balance}" maxFractionDigits="2" minFractionDigits="2" />
				&nbsp;
			</td>
			<td>
				<input class="btn_info" type="button" title="${cust.prop['service_detail']}..." 
				onClick="this.form.serviceId.value=${obj.id};this.form.submit();" />
			</td>
			</tr>
		</c:forEach>

	</table>
		<input type="hidden" name="serviceId" />
	</form>
	
</div>
