<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="uf" uri="/netams_functions" %>
<div>

		<form  method="post" name="closeMess">
			<div>
				<input name="action" value="closeMessage" type="hidden"/>
				<input name="messageId" type="hidden"/>
			</div>
		</form>
			<script type="text/javascript">
        		function closeMessage(form, id)
        		{
              	  	form.messageId.value = id;
                  	form.submit();
                	return false;
        		}
        		function openMessage(form, id)
        		{
              	  	form.messageId.value = id;
              	  	form.action="/openMessage";
                  	form.submit();
                	return false;
        		}
        		
    		</script>	

	<form name="supportForm" method="post"  >
	
		<c:set var="firstMessage" value="1" />
		<c:if test="${!empty request.parameter.firstMessage}" >
			<c:set var="firstMessage" value="${request.parameter.firstMessage}" />
		</c:if>
		<c:set var="countPage" value="${uf:ceil(cust.total / 25)}" />
		<c:set var="page" value="${cust.offset / 25}" />
		<c:choose> 
			<c:when test="${countPage == 0}">
				<c:set var="page" value="0" />
			</c:when>
			<c:otherwise>
				<c:if test="${page < 1}" >
					<c:set var="page" value="1" />
				</c:if>
			</c:otherwise>
		</c:choose>
		
		<br>
		<table class="netams_table" >
			<tr>
				<th class="left" >${cust.prop['support_topic']}</th>
				<th>${cust.prop['support_date']}</th>
				<th>${cust.prop['support_status']}</th>
				<th class="right" >${cust.prop['support_action']}</th>
			</tr>
			<c:set var="row" value="0" />
			<c:forEach var="obj" items="${cust.elements}">
				<c:set var="onclick" value=" onClick='openMessage(document.forms[&quot;supportForm&quot;], ${obj.id});'" />
				<c:set var="row" value="${row + 1}" />
				<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >
				<td ${onclick} >${obj.topic}</td>
				<td ${onclick} ><fmt:formatDate value="${obj.sendDate}" type="BOTH" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td>
				<td ${onclick} >${obj.statusIcon}</td>
				<td>
				   <c:if test="${obj.status != 8}" >
				   	<input type="button" class="btn_remove" title="${cust.prop['support_close']}"
						onclick="closeMessage(document.forms['closeMess'], '${obj.id}')" />
				   </c:if>
				</td>
				</tr>
			</c:forEach>
		</table>
		<input type="hidden" name="firstMessage" value="${cust.offset}"/>
		<input type="hidden" name="messageId" />
		
		<table border="0" cellpadding="5">
		<tr>
			<td>
				<input type="button" class="btn_first" 
				onclick="this.form.firstMessage.value=1;this.form.submit();" />
			</td>
			<c:set var="offset" value="${25 * (page - 2) + 1}" />
			<c:if test="${offset < 1}" > 
				<c:set var="offset" value="1" />
			</c:if>
			<td>
				<input type="button" class="btn_prior" 
					onclick="this.form.firstMessage.value=${offset};this.form.submit();" />
			</td>
			<td>${cust.prop['support_page']} ${page} ${cust.prop['support_from']} ${countPage}</td>
		
		<c:set var="offset" value="${25 * page + 1}" />
			<c:if test="${offset > cust.total}" > 
				<c:set var="offset" value="${25 * (countPage - 1) + 1}" />
			</c:if>
			<td>
				<input type="button" class="btn_next" 
					onclick="this.form.firstMessage.value=${offset};this.form.submit();" />
			</td>
			<c:set var="offset" value="${25 * (countPage - 1) + 1}" />
			<td>
				<input type="button" class="btn_last" 
					onclick="this.form.firstMessage.value=${offset};this.form.submit();" />
			</td>
		
			<td> ${cust.prop['support_total']} ${cust.total}</td>
		
		</tr></table>
		
		
		
		<br><br>
		<input type="button" value="${cust.prop['support_new_message']}" 
				onclick="this.form.messageId.value=0;this.form.action='/openMessage';this.form.submit();" />
	</form>
</div>