<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="com.netams.netams4.wa.server.customer.CustomerResource" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
    
<div>
	<form method="post" action="/account">
		<table class="tbl_params">
		<tr>
			<td width="200px" ><b>Current tariff: </b></td><td>${cust.params['days'].mod_key}</td>
		</tr>
		<tr>
			<td><b>Remaining days: </b></td><td>${cust.params['days'].attribute_value}</td>
		</tr>
		<tr>
			<td><b>${cust.prop['contract_username']}:</b></td>
			<td>${cust.userName}</td>
		</tr>
		<tr>
			<td><b>${cust.prop['contract_address']}:</b></td>
			<td>
			<input type="text" name="address" value="${cust.params['address'].attribute_value}" />
			</td>
		</tr>
		<tr>
			<td><b>E-mail:</b></td>
			<td>
				<input maxlength="50" type="text" name="email" value="${cust.contract.email}" required="required"/>
			</td>
		</tr>
		<tr>
			<td><b>${cust.prop['contract_phone']}:</b></td>
			<td>
				<input maxlength="20" type="text" name="phone" value="${cust.params['phone'].attribute_value}" />
			</td>
		</tr>
		<tr>
			<td colspan="2" ><a href="/password" >${cust.prop['change_password']}</a></td>
		</tr>
		<tr>
			<td colspan="2" >
				<br><br>
				<input  type="hidden" name="action" value="contract_params" >
				<input class="btn" type="submit" value="${cust.prop['apply']}" >
			</td>
		</tr>

		</table>
		</form>
		
		<br><br>
		
		<span class="title" >${cust.prop['payments']}</span>
		
		 <c:set var="account" value="${cust.accounts[param.accountId]}" />
	
		
		<form action="/account" method="post" name="form_del">
				<div>
						<input name="action" value="deleteInvoice" type="hidden"/>
						<input name="invoiceId" value="" type="hidden"/>
						<input type="hidden" name="accountId" value="${param.accountId}" />
				</div>
		</form>
		<script type="text/javascript">
        		function deleteInvoice(form, id)
        		{
              	  	form.invoiceId.value = id;
                  	form.submit();
                	return false;
        		}
		</script>
		<form action="/payment" method="post" name="form_new">
				<div>
						<input name="action" value="deleteInvoice" type="hidden"/>
						<input name="invoiceId" value="" type="hidden"/>
						<input type="hidden" name="accountId" value="${param.accountId}" />
				</div>
		</form>
		<script type="text/javascript">
        		function newPayment(form, id)
        		{
              	  	form.invoiceId.value = id;
                  	form.submit();
                	return false;
        		}
		</script>				
						
		<form method="post" >
		
		<table class="netams_table" >
			<tr>
				<th class="left" width="50px" >${cust.prop['payment_number']}</th>
				<th>${cust.prop['payment_date']}</th>
				<th>${cust.prop['payment_method']}</th>
				<th>${cust.prop['payment_sum']}</th>
				<th>${cust.prop['payment_state']}</th>
				<th class="right" >&nbsp;</th>
			</tr>
			<c:set var="row" value="0" />
			<c:forEach var="invoice" items="${cust.elements}" end="25">
				<c:set var="row" value="${row + 1}" />
				<tr ${row % 2 == 0 ? '' : 'class="bg_color"'} >
					<td>${invoice.id}</td>
					<td>
						<fmt:formatDate value="${invoice.date}" dateStyle="SHORT"/>
					</td>
					<td>${cust.prop[invoice.methodName]}</td>
					<td class="al_right">
						<fmt:formatNumber value="${invoice.amount}" maxFractionDigits="2" minFractionDigits="2" />
					</td>
					<td>
					<c:choose>
					<c:when test="${!empty invoice.payDate}" >
						${cust.prop['payment_paid']}&nbsp; 
						<fmt:formatDate value="${invoice.payDate}" dateStyle="SHORT"/>
					</c:when>
					<c:otherwise>
						<c:set var="key" value="payment_status_${invoice.status}" />
						${cust.prop[key]}
					</c:otherwise>
					</c:choose>
					</td>
					<td>
					<c:if test="${invoice.payDate == null}" >
						<input type="button" class="btn_remove" title="${cust.prop['delete']}" 
								onClick="deleteInvoice(document.forms['form_del'],'${invoice.id}')"/>
					</c:if>
					</td>
				</tr>
			</c:forEach>
		
	</table>
		<br><br>
		<input class="btn" type="button" value="${cust.prop['payment_new']}" onClick="newPayment(document.forms['form_new'],'${invoice.id}')" />&nbsp;&nbsp;
		<input type="hidden" name="accountId" value="${param.accountId}" /> 
		<input type="hidden" name="invoiceId" /> 
	</form>
		
</div>
