#!/bin/sh
#
# webadmin-startup.sh
#
JAVA_HOME=../java
LIB='../lib/*'
WEBLIB="./lib/*:./war/WEB-INF/lib/*:$JAVA_HOME/lib/tools.jar"

RUNFILE=war/WEB-INF/classes/

RUNJAVA=$JAVA_HOME/bin/java
JAVA_OPTS=-Djava.net.preferIPv4Stack=true
MAINCLASS=com.netams.netams4.wa.server.N4Service
CFGFILE=../netams4.properties
DEBUG_OPTS=
LOGFILE="../logs/webadmin.log"

nohup $RUNJAVA $JAVA_OPTS $DEBUG_OPTS -cp $LIB:$WEBLIB:$RUNFILE $MAINCLASS $CFGFILE 2> $LOGFILE > $LOGFILE &
